# Uses of Interface
org.jsoup.Connection.Request

Packages that use Connection.Request
Package
Description
org.jsoup
Contains the main `Jsoup` class, which provides convenient static access to the jsoup functionality.
org.jsoup.helper
Package containing classes supporting the core jsoup code.

## Uses of Connection.Request in org.jsoup

Methods in org.jsoup that return Connection.Request
Modifier and Type
Method
Description
`Connection.Request`
Connection.Request.`data(Connection.KeyVal keyval)`
Add a data parameter to the request
`Connection.Request`
Connection.Request.`followRedirects(boolean followRedirects)`
Configures the request to (not) follow server redirects.
`Connection.Request`
Connection.Request.`ignoreContentType(boolean ignoreContentType)`
Configures the request to ignore the Content-Type of the response.
`Connection.Request`
Connection.Request.`ignoreHttpErrors(boolean ignoreHttpErrors)`
Configures the request to ignore HTTP errors in the response.
`Connection.Request`
Connection.Request.`maxBodySize(int bytes)`
Update the maximum body size, in bytes.
`Connection.Request`
Connection.Request.`parser(Parser parser)`
Specify the parser to use when parsing the document.
`Connection.Request`
Connection.Request.`postDataCharset(String charset)`
Sets the post data character set for x-www-form-urlencoded post data
`Connection.Request`
Connection.Request.`proxy(String host, int port)`
Set the HTTP proxy to use for this request.
`Connection.Request`
Connection.Request.`proxy(Proxy proxy)`
Update the proxy for this request.
`Connection.Request`
Connection.`request()`
Get the request object associated with this connection
`Connection.Request`
Connection.Request.`requestBody(String body)`
Set a POST (or PUT) request body.
`Connection.Request`
Connection.Request.`timeout(int millis)`
Update the request timeout.
Methods in org.jsoup with parameters of type Connection.Request
Modifier and Type
Method
Description
`Connection`
Connection.`request(Connection.Request request)`
Set the connection's request

## Uses of Connection.Request in org.jsoup.helper

Classes in org.jsoup.helper that implement Connection.Request
Modifier and Type
Class
Description
`static class`
`HttpConnection.Request`
Methods in org.jsoup.helper that return Connection.Request
Modifier and Type
Method
Description
`Connection.Request`
HttpConnection.Request.`followRedirects(boolean followRedirects)`
`Connection.Request`
HttpConnection.Request.`ignoreContentType(boolean ignoreContentType)`
`Connection.Request`
HttpConnection.Request.`ignoreHttpErrors(boolean ignoreHttpErrors)`
`Connection.Request`
HttpConnection.Request.`maxBodySize(int bytes)`
`Connection.Request`
HttpConnection.Request.`postDataCharset(String charset)`
`Connection.Request`
HttpConnection.`request()`
`Connection.Request`
HttpConnection.Request.`requestBody(String body)`
Methods in org.jsoup.helper with parameters of type Connection.Request
Modifier and Type
Method
Description
`Connection`
HttpConnection.`request(Connection.Request request)`